lucene-java-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From gabriele renzi <rff....@gmail.com>
Subject Re: is Lucene 3.0 coming soon?
Date Sat, 17 Oct 2009 12:45:02 GMT
On Fri, Oct 16, 2009 at 12:31 PM, Grant Ingersoll <gsingers@apache.org> wrote:
>
> On Oct 16, 2009, at 6:05 AM, Uwe Schindler wrote:
>
>> I would recommend to adopt your app to 2.9 and enable deprecation
>> warnings.
>> As soon as all deprecation warning disappear during compile, you are able
>> to
>> just go to 3.0 (just drop in jars when available). This is why we have
>> 2.9.
>> 2.9: it is just 3.0 with the deprecations not yet removed. No other
>> changes
>> extensions to the API.
>
> That and we are moving to Java 1.5.

I've been wondering about this for a while: why 1.5?
1.6 has been out for three years, is it just that the additional
advantages of it (pluggable annotations is the only thing I can think
of) are not enough to break compat more?

---------------------------------------------------------------------
To unsubscribe, e-mail: java-user-unsubscribe@lucene.apache.org
For additional commands, e-mail: java-user-help@lucene.apache.org


Mime
View raw message